Loading...
Searching...
No Matches
RDKit::detail::MCSParametersInternal Struct Reference

`#include <FMCS.h>`

Inheritance diagram for RDKit::detail::MCSParametersInternal:

## Public Member Functions

| MCSParametersInternal ()
| ~MCSParametersInternal () override
| MCSParametersInternal (const MCSParameters *params)
Public Member Functions inherited from RDKit::MCSParameters
| MCSParameters ()
| MCSParameters (const MCSParameters *other)
| MCSParameters (const MCSParameters &other)=default
MCSParameters & | operator= (const MCSParameters &other)=default
virtual | ~MCSParameters ()
void | setMCSAtomTyperFromEnum (AtomComparator atomComp)
void | setMCSAtomTyperFromConstChar (const char *atomComp)
void | setMCSBondTyperFromEnum (BondComparator bondComp)
void | setMCSBondTyperFromConstChar (const char *bondComp)

## Public Attributes

MCSFinalMatchCheckFunction | UserFinalMatchChecker = nullptr
Public Attributes inherited from RDKit::MCSParameters
bool | StoreAll = false
bool | MaximizeBonds = true
double | Threshold = 1.0
unsigned int | Timeout = 0
bool | Verbose = false
MCSAtomCompareParameters | AtomCompareParameters
MCSBondCompareParameters | BondCompareParameters
MCSAtomCompareFunction | AtomTyper = MCSAtomCompareElements
MCSBondCompareFunction | BondTyper = MCSBondCompareOrder
void * | CompareFunctionsUserData = nullptr
MCSProgressCallback | ProgressCallback
void * | ProgressCallbackUserData = nullptr
MCSFinalMatchCheckFunction | FinalMatchChecker = nullptr
void * | FinalMatchCheckerUserData = nullptr
MCSAcceptanceFunction | ShouldAcceptMCS = nullptr
void * | ShouldAcceptMCSUserData = nullptr
std::string | InitialSeed = ""

## Detailed Description

Definition at line 186 of file FMCS.h.

## Constructor & Destructor Documentation

## MCSParametersInternal() [1/2]

RDKit::detail::MCSParametersInternal::MCSParametersInternal | ( |  | ) |

inline

Definition at line 187 of file FMCS.h.

## ~MCSParametersInternal()

RDKit::detail::MCSParametersInternal::~MCSParametersInternal | ( |  | ) |

inline override

Definition at line 188 of file FMCS.h.

## MCSParametersInternal() [2/2]

RDKit::detail::MCSParametersInternal::MCSParametersInternal | ( | const MCSParameters * | params | ) |

References RDKit::MCSParameters::MCSParameters().

## Member Data Documentation

## UserFinalMatchChecker

MCSFinalMatchCheckFunction RDKit::detail::MCSParametersInternal::UserFinalMatchChecker = nullptr

Definition at line 190 of file FMCS.h.

The documentation for this struct was generated from the following file:

- FMCS.h